locked
Ruby App deployment fails with Kudu RRS feed

  • Question

  • Hi, 

    I am trying to deploy my Ruby app for the first time in Linux with Kudu but it fails with this error: 

    I am not using nodejs at all in my project, can you pls help

    Enumerating objects: 2276, done.

    Counting objects: 100% (2276/2276), done.

    Delta compression using up to 8 threads

    Compressing objects: 100% (986/986), done.

    Writing objects: 100% (2276/2276), 518.67 KiB | 19.95 MiB/s, done.

    Total 2276 (delta 1301), reused 2053 (delta 1154)

    remote: Resolving deltas: 100% (1301/1301), done.

    remote: Deploy Async

    remote: Updating branch 'master'.

    remote: Updating submodules.

    remote: Preparing deployment for commit id 'e87be7e42b'.

    remote: Generating deployment script.

    remote: Generating deployment script for node.js Web Site

    remote: Generated deployment script files

    remote: Running deployment command...

    remote: Handling node.js deployment.

    remote: Kudu sync from: '/home/site/repository' to: '/home/site/wwwroot'

    remote: Copying file: '.browserslistrc'

    remote: Copying file: '.buildpacks'

    remote: Copying file: '.gitignore'

    remote: Copying file: '.rspec'

    remote: Copying file: '.ruby-version'

    remote: Copying file: 'Gemfile'

    remote: Copying file: 'Gemfile.lock'

    remote: Copying file: 'Procfile'

    remote: Copying file: 'README.md'

    remote: Copying file: 'Rakefile'

    remote: Copying file: 'app.json'

    remote: Copying file: 'babel.config.js'

    remote: Copying file: 'config.ru'

    remote: Copying file: 'package.json'

    remote: Copying file: 'postcss.config.js'

    remote: Copying file: 'yarn.lock'

    remote: Deleting file: 'hostingstart.html'

    remote: Ignoring: .git

    remote: Copying file: 'app/admin/answers.rb'


    remote: Omitting next output lines...

    remote: .

    remote: Detecting node version spec...

    remote: ENOENT: no such file or directory, open '/opt/nodejs/12.14.0/npm.txt'

    remote: Using default version: 12.14.0

    remote: Node.js versions available on the platform are: 4.4.7, 4.5.0, 4.8.0, 6.2.2, 6.6.0, 6.9.3, 6.10.3, 6.11.0, 6.17.1, 8.0.0, 8.1.4, 8.2.1, 8.8.1, 8.9.4, 8.11.2, 8.12.0, 8.15.1, 8.17.0, 9.4.0, 10.1.0, 10.10.0, 10.14.2, 10.16.3, 10.18.0, 12.9.1, 12.14.0.

    remote: Resolved to version 12.14.0

    remote: Detecting npm version spec...

    remote: An error has occurred during web site deployment.

    remote: select node version failed


    Tuesday, April 28, 2020 7:46 AM

All replies